Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1134385 - FTBFS on ppc64le
Summary: FTBFS on ppc64le
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hdf
Version: 21
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-08-27 12:34 UTC by Menanteau Guy
Modified: 2014-09-23 04:33 UTC (History)
3 users (show)

Fixed In Version: hdf-4.2.10-7.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:33:12 UTC


Attachments (Terms of Use)
ppc64le patch (deleted)
2014-08-29 14:48 UTC, Menanteau Guy
no flags Details | Diff
some ppc64le netcdf failing tests disabled (deleted)
2014-08-29 14:49 UTC, Menanteau Guy
no flags Details | Diff
part of log for failing tests (deleted)
2014-08-29 14:53 UTC, Menanteau Guy
no flags Details
Reformatted ppc64le patch (deleted)
2014-09-04 02:32 UTC, Orion Poplawski
no flags Details | Diff
second part of ppc64le patch (deleted)
2014-09-08 16:10 UTC, Menanteau Guy
no flags Details

Description Menanteau Guy 2014-08-27 12:34:49 UTC
hdf-4.2.10-4 build failed on ppc64le arch.

http://ppc.koji.fedoraproject.org/koji/packageinfo?packageID=2504
http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/7048/2027048/build.log

tests failed:
BIT I/O (bitio)
N-Bit Dataset Interface
VSET InterfaceTest
Multi-File Generic Raster Image Interface

I guess ppc64 little endian is not correctly supported. I am looking where problems are comming from.

Comment 1 Menanteau Guy 2014-08-29 14:48:36 UTC
Created attachment 932702 [details]
ppc64le patch

Please consider attached patch to support powerpc64 little endian.

Comment 2 Menanteau Guy 2014-08-29 14:49:54 UTC
Created attachment 932708 [details]
some ppc64le netcdf failing tests disabled

I still have test relative netCDF failling.
I patched temporarilly code to have these tests disabled and build finished ok.

I guess there are some changes in netcdf needed to be imported in hdf but I still not yet see what is wrong. Any clue ? 

In the meantime, it would be good to have these netcdf tests disabled for ppc64le arch to have build ok.

Comment 3 Menanteau Guy 2014-08-29 14:53:15 UTC
Created attachment 932709 [details]
part of log for failing tests

part of log for failing tests

Comment 4 Orion Poplawski 2014-09-04 02:29:25 UTC
The patch attachment is not formatted correctly.

Comment 5 Orion Poplawski 2014-09-04 02:32:16 UTC
Created attachment 934250 [details]
Reformatted ppc64le patch

Comment 6 Orion Poplawski 2014-09-04 02:51:16 UTC
I've checked in the initial patch.  I've also contacted the hdf group to see if they have any insight on the failing tests.

Comment 7 Orion Poplawski 2014-09-05 01:38:45 UTC
We really don't see how these errors are happening - they seem completely unrelated to bootstrapping a new arch.  I'm afraid that someone with access to the hardware will need to poke around.

Comment 8 Menanteau Guy 2014-09-05 10:07:50 UTC
ok, will look deeper on these errors.

Comment 9 Michel Normand 2014-09-05 12:21:37 UTC
(In reply to Orion Poplawski from comment #6)
> I've checked in the initial patch.  I've also contacted the hdf group to see
> if they have any insight on the failing tests.

Orion, could I suggest a temporary patch of spec file as extracted below to ignore the make check failure for ppc64le archi. This would allow to complete the koji build for this archi and this package and so continue the build for other packages that depend on it.

=== proposed change:
diff --git a/hdf.spec b/hdf.spec
index 33447b0..0dd6ff3 100644
--- a/hdf.spec
+++ b/hdf.spec
@@ -116,8 +116,12 @@ popd
 
 
 %check
+%ifarch ppc64le
+# avoid to stop on error waiting correction  rhbz 1134385
+make check || :
+%else
 make check
-
+%endif
 
 %clean
 rm -rf $RPM_BUILD_ROOT
===
related scratch build result:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2088092

Comment 10 Orion Poplawski 2014-09-05 14:47:36 UTC
Checked in.

Comment 11 Menanteau Guy 2014-09-08 16:10:03 UTC
Created attachment 935414 [details]
second part of ppc64le patch

Hi Orion,
I found a code correction to allow the two tests still failling 
to pass now on ppc64le arch.
It was related on ppc64le arch and the way getlong woeks to
look into netcdf files.

here after is the scratch build with tests enabled
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2094687

Please, have a look to the patch and deliver us a new hdf version
with changes asked by Michel removed,.
Sorry for this noise, he should not know I was working on it.
thanks

Comment 12 Orion Poplawski 2014-09-08 21:01:55 UTC
Excellent.  Checked in and building.  I'll file an update when the f21 build is done.

Comment 13 Fedora Update System 2014-09-08 21:58:20 UTC
hdf-4.2.10-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/hdf-4.2.10-7.fc21

Comment 14 Fedora Update System 2014-09-10 02:14:31 UTC
Package hdf-4.2.10-7.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hdf-4.2.10-7.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10538/hdf-4.2.10-7.fc21
then log in and leave karma (feedback).

Comment 15 Menanteau Guy 2014-09-10 08:50:58 UTC
hdf-4.2.10-7.fc21 scratch builds succeed on
primary: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=7563222
secondary:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2097055

Comment 16 Fedora Update System 2014-09-23 04:33:12 UTC
hdf-4.2.10-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.